summaryrefslogtreecommitdiff
path: root/tests/tests/push-source-with-changes
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/push-source-with-changes')
-rwxr-xr-xtests/tests/push-source-with-changes31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/tests/push-source-with-changes b/tests/tests/push-source-with-changes
new file mode 100755
index 0000000..b9a3906
--- /dev/null
+++ b/tests/tests/push-source-with-changes
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+arch=$(dpkg-architecture -qDEB_BUILD_ARCH)
+
+t-tstunt-parsechangelog
+
+t-prep-newpackage example 1.0
+
+cd $p
+
+t-refs-same-start
+t-ref-head
+
+# (1) try pushing a changes file containing binaries
+
+t-dgit --dpkg-buildpackage:-d build -F
+
+t-expect-push-fail 'user-specified changes file is not source-only' \
+t-dgit -C ../${p}_1.0_${arch}.changes push-source --new
+
+# (2) try pushing a source-only changes file
+
+t-dgit --dpkg-buildpackage:-d build-source
+t-dgit -C ../${p}_1.0_source.changes push-source --new
+
+t-pushed-good master
+t-push-was-source-only
+
+t-ok